RubyGems Navigation menu

rubocop 0.64.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.11.0 - March 01, 2021 (473 KB)
  2. 1.10.0 - February 15, 2021 (469 KB)
  3. 1.9.1 - February 01, 2021 (467 KB)
  4. 1.9.0 - January 28, 2021 (466 KB)
  5. 1.8.1 - January 11, 2021 (459 KB)
  6. 0.64.0 - February 10, 2019 (411 KB)
Show all versions (172 total)

Runtime Dependencies (7):

  • jaro_winkler ~> 1.5.1
  • parallel ~> 1.10
  • parser >= 2.5, != 2.5.1.1
  • powerpack ~> 0.1
  • rainbow >= 2.2.2, < 4.0
  • ruby-progressbar ~> 1.7
  • unicode-display_width ~> 1.4.0
  • Development Dependencies (2):

  • bundler >= 1.3.0, < 3.0
  • rack >= 2.0
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    726debef2d860b3855f683c5051121046b99197b39459620dd137266a789501f

    Total downloads 145,023,416

    For this version 3,319,658

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.2.0

    Links: